using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ChooseCultureControl : System.Web.UI.UserControl
{
   protected void Page_Load(object sender, EventArgs e)
   {
      // narysuj ramkę dookoła obrazu aktualnej flagi kultury
      if (Profile.Culture == "fr-FR")
      {
         imgFR.BorderStyle = BorderStyle.Dotted;
         imgUS.BorderStyle = BorderStyle.None;
      }
      else
      {
         imgUS.BorderStyle = BorderStyle.Dotted;
         imgFR.BorderStyle = BorderStyle.None;
      }
   }

   protected void imgCommand(object sender, CommandEventArgs e)
   {
      // wybierz profil na podstawie wybranego przycisku
      if (e.CommandName == "France")
         Profile.Culture = "fr-FR";
      else
         Profile.Culture = "en-US";

      // ponownie wybierz tę stronę, aby został zastosowany język wybrany przez użytkownika
      Response.Redirect(Request.Url.AbsolutePath);
   }
}
